import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var FoldFill = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-foldFill"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("filter", {
    id: "prefix__a"
  }, /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceGraphic",
    values: "0 0 0 0 0.120000 0 0 0 0 0.125000 0 0 0 0 0.150000 0 0 0 1.000000 0"
  }))), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("rect", {
    x: 0.5,
    y: 0.5,
    width: 15,
    height: 15,
    rx: 2,
    fill: "#FFF",
    stroke: "#E1E2E6"
  }), /*#__PURE__*/React.createElement("g", {
    transform: "translate(2 2)",
    filter: "url(#prefix__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h12v12H0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "currentColor",
    d: "M10.5 5.625v1h-9v-1z"
  })))));
});
FoldFill.displayName = "FoldFill";
export default FoldFill;